import dotenv from 'dotenv';

dotenv.config({ path: ".env" });

const getBoolean = value => { return value === 'true'? true : false }

const config = {
    dbuser: process.env.DBUSER,
    dbhost: process.env.DBHOST,
    dbname: process.env.DBNAME,
    dbport: Number.parseInt(process.env.DBPORT),
    dbpass: process.env.DBPASS,

    app_port: Number.parseInt(process.env.APP_PORT),

    captcha_source_url: process.env.CAPTCHA_SOURCE_URL,
    data_dir: process.env.DATA_DIR,
    admin_token: process.env.ADMIN_TOKEN,
    secret: process.env.SECRET
}

export default config;